#pragma once
#include "deferredshadowtechnique.h"

class DeferredShadowSSTiled : public DeferredShadowTechnique
{
	ShaderEffect* m_FXSSTiled;
	ShaderEffect* m_FXConfShadow;
	ShaderEffect* m_FXConfTest;

	OffscreenRenderTexture*	m_RTZmin; //zmin of screen space tile
	OffscreenRenderTexture*	m_RTZmax; //zmax of screen space tile

	void RenderShadowDSTile(const unsigned tx, const unsigned ty, const unsigned level);

public:
	DeferredShadowSSTiled(ShadowApp* const pApp);
	~DeferredShadowSSTiled(void);

	void RenderShadowMask(void);
};
